NX二次开发-UFUN建模创建特征组UF_MODL_create_set_of_feature

 1 NX11+VS2013
 2     
 3     #include <uf.h>
 4     #include <uf_modl.h>
 5 
 6     UF_initialize();
 7 
 8     //创建块
 9     UF_FEATURE_SIGN Sign = UF_NULLSIGN;//设置布尔
10     double Corner_pt[3] = { 0.0, 0.0, 0.0 };//设置原点
11     char *Edge_Len[3] = { "100", "100", "100" };//设置长宽高
12     tag_t BlkTag = NULL_TAG;
13     UF_MODL_create_block1(Sign, Corner_pt, Edge_Len, &BlkTag);
14 
15     //创建特征组
16     tag_t FeatureGroupTag = NULL_TAG;
17     UF_MODL_create_set_of_feature("自己创建的组", &BlkTag, 1, true, &FeatureGroupTag);
18     UF_terminate();

猜你喜欢

转载自www.cnblogs.com/nxopen2018/p/11013213.html